mod cell;
mod draw;
pub use cell::*;

pub struct TetrisBoard {
	board: [TetrisCell; TetrisBoard::BOARD_WIDTH * TetrisBoard::BOARD_HEIGHT],
}

impl TetrisBoard {
	const BOARD_WIDTH: usize = 10;
	const BOARD_HEIGHT: usize = 20;

	const CELL_SIZE: usize = 9;

	pub fn new() -> Self {
		let mut x = Self {
			board: [TetrisCell::Empty; TetrisBoard::BOARD_WIDTH * TetrisBoard::BOARD_HEIGHT],
		};

		x.board[0] = TetrisCell::Blue;
		x.board[1] = TetrisCell::Cyan;
		x.board[2] = TetrisCell::Orange;
		x.board[3] = TetrisCell::Red;
		x.board[4] = TetrisCell::Green;
		x.board[5] = TetrisCell::Purple;
		x.board[6] = TetrisCell::Yellow;

		x.board[9] = TetrisCell::Blue;
		x.board[8] = TetrisCell::Blue;
		x.board[10] = TetrisCell::Blue;
		x.board[12] = TetrisCell::Blue;

		x
	}
}
